Bug 981148 - missing facter dependency for cartridge installation.
missing facter dependency for cartridge installation.
Product: OpenShift Container Platform
Classification: Red Hat
Component: Containers (Show other bugs)
Unspecified Unspecified
medium Severity medium
: ---
: ---
Assigned To: Brenton Leanhardt
libra bugs
: Reopened
Depends On:
  Show dependency treegraph
Reported: 2013-07-04 02:36 EDT by Johnny Liu
Modified: 2017-03-08 12 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
In some cases facter was not installed due to a missing RPM dependency. The missing RPM dependency has been added in the current release, and facter is now installed correctly.
Story Points: ---
Clone Of:
Last Closed: 2013-09-05 09:23:42 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Johnny Liu 2013-07-04 02:36:20 EDT
Description of problem:
openshift-origin-cartridge-jbosseap installation has dependency with facter package, which is not necessary.

This issue will cause tps rpm test failure, due to dependency issue.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. yum install openshift-origin-cartridge-jbosseap

Actual results:
openshift-origin-cartridge-jbosseap will pull in facter package as dependency, and facter packager is located in node repo.

Compare with other cartridge packages, e.g: php, jbossews cartridge, all the other cartridge does not have dependency with facter, so I think openshift-origin-cartridge-jbosseap cartridge spec file should be update to remove facter require. And I also manually remove facter, it looks like does not affect anything. app creation still succeed.

Expected results:
openshift-origin-cartridge-jbosseap should not have dependency with facter package.

Additional info:
Comment 2 Brenton Leanhardt 2013-07-05 08:05:45 EDT
cartridges/openshift-origin-cartridge-jbosseap/hooks/publish-http-url uses facter to get the ipaddress.  Please reopen if I'm mistaken!
Comment 3 Johnny Liu 2013-07-05 13:36:07 EDT
Actually facter command is called by other cartridge, e.g:
cartridges/openshift-origin-cartridge-python/hooks/publish-http-url:if ! gip=$(facter ipaddress); then
cartridges/openshift-origin-cartridge-mock/hooks/publish-http-url:if ! gip=$(facter ipaddress); then
cartridges/openshift-origin-cartridge-nodejs/hooks/publish-http-url:if ! gip=$(facter ipaddress); then
cartridges/openshift-origin-cartridge-perl/hooks/publish-http-url:if ! gip=$(facter ipaddress); then
cartridges/openshift-origin-cartridge-php/hooks/publish-http-url:if ! gip=$(facter ipaddress); then

So that means we also need pull into facter as dependency for other non-jboss cartridge, am I right?
Comment 4 Brenton Leanhardt 2013-07-05 13:45:27 EDT
That does seem to be the case.  How about we change the title of this BZ to be something like "missing cartridge facter dependencies"?  Feel free to reopen this one of create a new one that we'll fix in 1.2.1.
Comment 5 openshift-github-bot 2013-08-16 10:23:12 EDT
Commit pushed to master at https://github.com/openshift/origin-server

Bug 981148 - missing facter dependency for cartridge installation
Comment 7 Gaoyun Pei 2013-08-19 02:05:30 EDT
All he web cartridges have facter as one of its dependencies in puddle 1.2/2013-08-16.2, so verify this bug.

[root@node ~]# for i in $(rpm -qa|grep openshift-origin-cartridge); do echo $i && yum deplist $i |grep facter ; done
  dependency: facter
   provider: facter.x86_64 1.6.6-1.el6op
  dependency: facter
   provider: facter.x86_64 1.6.6-1.el6op
  dependency: facter
   provider: facter.x86_64 1.6.6-1.el6op
  dependency: facter
   provider: facter.x86_64 1.6.6-1.el6op
  dependency: facter
   provider: facter.x86_64 1.6.6-1.el6op
  dependency: facter
   provider: facter.x86_64 1.6.6-1.el6op
Comment 10 errata-xmlrpc 2013-09-05 09:23:42 EDT
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.


Note You need to log in before you can comment on or make changes to this bug.